API

Create device configuration preview token

Creates a short-lived read-only token for persisted configuration or a staged configuration snapshot.

POST/v1/hq/devices/{device_id}/preview_token

Authorization

BearerTokenAuth

AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

device_id*string

Request Body

application/json

configuration?

Optional complete staged snapshot of device-owned configuration. Omit to preview persisted configuration.

Response Body

application/json

curl -X POST "https://api.noona.is/v1/hq/devices/string/preview_token" \  -H "Content-Type: application/json" \  -d '{}'
{
  "token": "string",
  "expires_at": "2019-08-24T14:15:22Z"
}
Empty
Empty
Empty
Empty
Empty